=== debian/changelog ===
hyperkitty (1.3.7-1ubuntu2) mantic; urgency=medium

  * d/control: Update Django runtime dependency to match build dependency,
    allowing Django 4.2

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 25 Aug 2023 08:56:15 -0700

hyperkitty (1.3.7-1ubuntu1) mantic; urgency=medium

  * Add Django 4.2 compatibility (LP: #2022089)
    - d/p/django4-compatibility.patch: Add Django 4.2 as a possible dependency
      in setup.py
    - d/control: Allow Django 4.2 as a dependency

 -- Lena Voytek <lena.voytek@canonical.com>  Mon, 14 Aug 2023 09:44:57 -0700

hyperkitty (1.3.7-1) unstable; urgency=medium

  * New upstream release 1.3.7
  * d/control:
    - Bump Standards-Version to 4.6.2
    - Depend on fonts-font-awesome to remove some embedded fonts
      (Closes: #1028021)
  * d/s/lintian-overrides: cleanup
  * Link jquery stuff to the libjs-jquery version

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 29 Jan 2023 19:03:14 +0100
