## hyperkitty 1.3.12

=== debian/changelog ===
hyperkitty (1.3.12-3ubuntu1) questing; urgency=medium

  * d/p/fix-test-migration-django-5.patch: Fix migration test for Django 5.

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 13 Aug 2025 16:18:25 -0400

hyperkitty (1.3.12-3) unstable; urgency=medium

  * Team upload.

  [ Fiona Ebner ]
  * Add upstream patch to fix tests after python3-mistune changes.
    (Closes: #1102379)

  [ Carlos Henrique Lima Melara ]
  * d/p/0005-Changes-to-support-mistune-3.1.patch: improve patch metadata.

 -- Carlos Henrique Lima Melara <charlesmelara@riseup.net>  Sun, 13 Apr 2025 22:54:43 -0300

hyperkitty (1.3.12-2) unstable; urgency=medium

  * Add upstream patch to fix tests after Python 3.13 argparse changes
    (closes: #1088312).
  * Bump Standards-Version to 4.7.2.
  * Add myself to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Mon, 10 Mar 2025 14:18:33 +0100

hyperkitty (1.3.12-1) unstable; urgency=medium

  * New upstream release 1.3.12
    - Fix missing Build-Dependency on dateutil
    - Closes: #1073392
  * d/watch: rollback to pypi as gitlab seems to be a dead end.
  * Bump Standards-Version to 4.7.0

 -- Pierre-Elliott Bécue <peb@debian.org>  Sun, 20 Oct 2024 22:39:15 +0200

hyperkitty (1.3.9-1) unstable; urgency=medium

  * New upstream release 1.3.9
    - Update (Build-)Dependencies (Closes: #1052805)
  * d/control:
    - Drop python3-mock from Build-Dependencies (Closes: #1067044)
  * d/watch: Update url tracking
  * Drop d/upstream directory
  * Fix embedded js/css libs changes

 -- Pierre-Elliott Bécue <peb@debian.org>  Mon, 18 Mar 2024 01:00:24 +0100
