=== debian/control ===
--- 
+++ 
@@ -4,18 +4,20 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Mailman Team <pkg-mailman-hackers@lists.alioth.debian.org>
 Uploaders: Pierre-Elliott Bécue <peb@debian.org>,
-           Jonas Meurer <jonas@freesources.org>
+           Jonas Meurer <jonas@freesources.org>,
+           Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-bs4,
-               python3-django (>= 2:3.2),
-               python3-django (<< 3:4.3),
+               python3-dateutil,
+               python3-django,
                python3-django-compressor,
                python3-django-extensions,
                python3-django-gravatar2,
                python3-django-haystack,
-               python3-django-mailman3 (>= 1.3.8),
+               python3-django-mailman3,
                python3-django-q,
                python3-djangorestframework,
                python3-elasticsearch,
@@ -23,16 +25,16 @@
                python3-isort,
                python3-lxml,
                python3-mailmanclient,
-               python3-mistune (>= 2.0.0),
-               python3-mock,
+               python3-mistune,
                python3-networkx,
+               python3-pdm-backend,
                python3-robot-detection,
-               python3-setuptools,
                python3-tz,
                python3-whoosh,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                sassc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/mailman/hyperkitty
 Vcs-Browser: https://salsa.debian.org/mailman-team/hyperkitty
@@ -42,23 +44,22 @@
 Architecture: all
 Depends: fonts-font-awesome,
          fonts-glyphicons-halflings,
-         libjs-bootstrap4,
          libjs-jquery,
          libjs-jquery-ui,
+         node-bootstrap,
          python3-dateutil,
-         python3-django (>= 2:3.2),
-         python3-django (<< 3:4.3),
+         python3-django,
          python3-django-compressor,
          python3-django-extensions,
          python3-django-gravatar2,
          python3-django-haystack,
-         python3-django-mailman3 (>= 1.3.8),
+         python3-django-mailman3,
          python3-django-q,
          python3-djangorestframework,
          python3-elasticsearch,
          python3-flufl.lock,
          python3-mailmanclient,
-         python3-mistune (>= 2.0.0),
+         python3-mistune,
          python3-networkx,
          python3-robot-detection,
          python3-tz,
