=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/@PACKAGE@/ .*[Hh]yper[Kk]itty@ANY_VERSION@.tar.gz
